<?
   session_start();
  require('../valtiempoinact.php');
  require('../conectar.php');
  $usuario_nivel=$_SESSION['usuario_nivel'];
  $usuario_login=$_SESSION['usuario_login'];
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<title></title>
<link rel="stylesheet" href="disenio_pendientes/estilo.css" type="text/css" />
<script language="javascript" type="text/javascript" src="disenio_pendientes/validacion.js"></script>

<script type="text/JavaScript">
<!--
function MM_popupMsg(msg) { //v1.0
  alert(msg);
}
//-->
</script>

<!--CALENDARIO-->
<link rel="stylesheet" href="calendario/themes/base/jquery.ui.all.css">
	<script src="calendario/jquery-1.5.1.js"></script>
	<script src="calendario/ui/jquery.ui.core.js"></script>
	<script src="calendario/ui/jquery.ui.widget.js"></script>
	<script src="calendario/ui/jquery.ui.datepicker.js"></script>
	<!--<link rel="stylesheet" href="calendario/demos.css">-->
	<script>
	$(function() {
		$( "#datepicker" ).datepicker();
	});
	</script>
<!--TERMINA CALENDARIO-->

<script language="javascript">
function activar()
{
 for (i=0;i<document.form1.elements.length;i++) {
  if(document.form1.elements[i].type == "checkbox") {
   document.form1.elements[i].checked=1; } }
}

function desactivar()
{
 for (i=0;i<document.form1.elements.length;i++) {
  if(document.form1.elements[i].type == "checkbox") {
   document.form1.elements[i].checked=0; } }
}
function depas(id){
var origen=document.getElementById(id);
var sel=origen.selectedIndex;
var tx=origen[sel].text;
var v=origen[sel].value;
var destino=document.getElementById("departamento");
 if(v==""){destino.disabled=true;destino.length=1;}else{
  destino.disabled=false;
  destino.length=1;
  var indice=1; 
  <?
  $hoy=date("Y-m-d");
 
  $sql="SELECT id_departamento,clave,id_complejo FROM departamentos";
  $con=mysql_query($sql);
  while($ls=mysql_fetch_array($con)){
     $idcategoria=$ls["id_departamento"];
     $iddirectorio=$ls["id_complejo"];
     $categoria=$ls["clave"];
	 ?>
	 if(v==0){destino.options[indice]=new Option("GENERAL","0");}
	 if(v=="<?echo $iddirectorio?>"){
	   destino.options[indice]=new Option("<?echo $categoria?>","<?echo $idcategoria?>");
	   indice++;
	 }
	 
	 <?
  }
  ?>
  if(destino.length==2){
	 destino.options[1].selected=true;
   }
 }
}
function hide(v){
    var subcategoria=document.getElementById("subcategoria");
    switch(v){
	 case 'SERVICIOS':
	   subcategoria.disabled=false;
	   subcategoria.options.length = 0;
	   subcategoria.options[1]=new Option("AGUA","AGUA");
	   subcategoria.options[2]=new Option("AGUA CALIENTE","AGUA CALIENTE");
	   subcategoria.options[3]=new Option("LUZ","LUZ");   
	   subcategoria.options[4]=new Option("GAS","GAS");
	   subcategoria.options[5]=new Option("TELEFONO","TELEFONO");
	   subcategoria.options[6]=new Option("CAVLE","CAVLE");
	   subcategoria.options[7]=new Option("INTERNET","INTERNET");
	   subcategoria.options[8]=new Option("TV","TV");
	   subcategoria.options[9]=new Option("DVD","DVD");
	   subcategoria.options[9]=new Option("ESTEREO","ESTEREO");
     break;
	 case 'MANTENIMIENTO':
	   subcategoria.disabled=false;
	   subcategoria.options.length = 0;
	   subcategoria.options[1]=new Option("TARJA DE BANO","TARJA DE BANO");
	   subcategoria.options[2]=new Option("FOCO FUNDIDO","FOCO FUNDIDO");
	   subcategoria.options[3]=new Option("FUMIGACION","FUMIGACION");
	   subcategoria.options[4]=new Option("PISO SUCIO","PISO SUCIO");
	   subcategoria.options[5]=new Option("POLVO","POLVO");
	   subcategoria.options[6]=new Option("SILLON SUCIO","SILLON SUCIO");
	   subcategoria.options[7]=new Option("SILLAS","SILLAS");
	   subcategoria.options[8]=new Option("REFRIGERADOR","REFRIGERADOR");
	   subcategoria.options[9]=new Option("WC TAPADO","WC TAPADO");
	   subcategoria.options[10]=new Option("COLADERA DE BANO TAPADO","COLADERA DE BANO TAPADO");   
	   subcategoria.options[11]=new Option("CHAPAS","CHAPAS");
       subcategoria.options[12]=new Option("MALOS OLORES","MALOS OLORES");
       subcategoria.options[13]=new Option("COLCHON EN MAL ESTADO","COLCHON EN MAL ESTADO");
       subcategoria.options[14]=new Option("ENTRADAS DE AIRE","ENTRADAS DE AIRE");
       subcategoria.options[15]=new Option("ILUMINACION","ILUMINACION");
       subcategoria.options[16]=new Option("PRESION DE AGUA","PRESION DE AGUA");	   
       subcategoria.options[17]=new Option("TIEMPOS DE ESPERA PARA AGUA CALIENTE","TIEMPOS DE ESPERA PARA AGUA CALIENTE");
       subcategoria.options[18]=new Option("TASA DE BANO ROTA O SIN FUNCIONAR","TASA DE BANO ROTA O SIN FUNCIONAR");
	   subcategoria.options[19]=new Option("PLAGAS","PLAGAS");
	   subcategoria.options[20]=new Option("VENTILADOR","VENTILADOR");
	   subcategoria.options[21]=new Option("MICROONDAS","MICROONDAS");
	   subcategoria.options[22]=new Option("ESTUFA","ESTUFA");
	   subcategoria.options[23]=new Option("CORTINEROS","CORTINEROS");
	   subcategoria.options[24]=new Option("CONTROLES DE TV Y DVD","ESTUFA");
	   subcategoria.options[25]=new Option("PINTURA","PINTURA");
	   subcategoria.options[26]=new Option("LAVADO ESPECIAL","LAVADO ESPECIAL");
	   subcategoria.options[27]=new Option("HERRERIA","HERRERIA");
	   subcategoria.options[28]=new Option("PUERTAS","PUERTAS");
	   subcategoria.options[29]=new Option("VENTANAS","VENTANAS");
	   subcategoria.options[30]=new Option("LLAVES Y TARJAS","LLAVES Y TARJAS");
	   subcategoria.options[31]=new Option("GOTERAS","GOTERAS");
	   subcategoria.options[32]=new Option("COMPOSTURAS DE MUEBLES","COMPOSTURAS DE MUEBLES");
	   subcategoria.options[33]=new Option("FUGA DE REGADERA","FUGA DE REGADERA");
	   subcategoria.options[34]=new Option("HUELE A HUMEDAD Y CERRADO","HUELE A HUMEDAD Y CERRADO");
	   subcategoria.options[35]=new Option("OFICINA","OFICINA");
	   subcategoria.options[36]=new Option("EQUIPO DE COMPUTO","EQUIPO DE COMPUTO");
	 break;
	 case 'LIMPIEZA':
	   subcategoria.disabled=false;
	   subcategoria.options.length = 0;	
       subcategoria.options[1]=new Option("ENTRADA EXT","ENTRADA EXT");
       subcategoria.options[2]=new Option("ENTRADA INT","ENTRADA INT");	   
       subcategoria.options[3]=new Option("SALA LIMPIA","SALA LIMPIA");
       subcategoria.options[4]=new Option("MESA SALA LIMPIA","MESA SALA LIMPIA");
       subcategoria.options[5]=new Option("COCINA ALACENAS ESTUFA VERIFICAR COMPLEMENTOS","COCINA ALACENAS ESTUFA VERIFICAR COMPLEMENTOS");
       subcategoria.options[6]=new Option("ALFOMBRA O TAPETES","ALFOMBRA O TAPETES");
       subcategoria.options[7]=new Option("COMEDOR","COMEDOR");
       subcategoria.options[8]=new Option("CAMA HECHA","CAMA HECHA");
       subcategoria.options[9]=new Option("SABANAS LIMPIAS","SABANAS LIMPIAS");
       subcategoria.options[10]=new Option("ALMOHADAS BUEN ESTADO Y MISMO TAMANO","ALMOHADAS BUEN ESTADO Y MISMO TAMANO");
       subcategoria.options[11]=new Option("COJINES CAMA 2 COMBINADOS","COJINES CAMA 2 COMBINADOS");
       subcategoria.options[12]=new Option("PISO LIMPIO INCLUYENDO ESQUINAS Y DEBAJO DE MOBILIARIO","PISO LIMPIO INCLUYENDO ESQUINAS Y DEBAJO DE MOBILIARIO");
       subcategoria.options[13]=new Option("COBIJAS","COBIJAS");
       subcategoria.options[14]=new Option("BANO LIMPIO ( TAZA CORTINA DE BANO Y AZULEJOS)","BAÑO LIMPIO ( TAZA CORTINA DE BAÑO Y AZULEJOS)");
       subcategoria.options[15]=new Option("ESPEJOS LIMPIOS","ESPEJOS LIMPIOS");
       subcategoria.options[16]=new Option("LAMPARAS","LAMPARAS");
       subcategoria.options[17]=new Option("LAVABOS","LAVABOS");
       subcategoria.options[18]=new Option("TOALLAS","TOALLAS");
       subcategoria.options[19]=new Option("JABONES","JABONES");
       subcategoria.options[20]=new Option("BLANCOS","BLANCOS");
       subcategoria.options[21]=new Option("TAPETE BANO","TAPETE BANO");
       subcategoria.options[22]=new Option("MUEBLES","MUEBLES");
       subcategoria.options[23]=new Option("PLANTAS","PLANTAS");
       subcategoria.options[24]=new Option("CORTINA DE REGADERA","CORTINA DE REGADERA");
       subcategoria.options[25]=new Option("PAPEL HIGIENICO","PAPEL HIGIENICO");   
	 break;
	 case '':
	   subcategoria.options.length = 0;	
	 break;
	 default: subcategoria.disabled=true;
	}
}
</script>

</head>

<body onload="foco();">

<!-- INICIA FORMULARIO DE REGISTRO DE BOLSA DE TRABAJO-->					
<center>
<div id="formulario">
<!-- CONSULTA PARA EXTRAER LOS VALORES DEL USUARIO ACTUAL-->
<?php
$empleado=mysql_query("select * from empleados where id_empleado='$_SESSION[usuario_id]'",$db_conexion);
if($re=mysql_fetch_array($empleado))
{
 $id_empleado=$re['id_empleado'];
 $nom=$re['nombre'];
 $a_pat=$re['a_pat'];
 $a_mat=$re['a_mat'];
}
?>
<!-- CONSULTA PARA EXTRAER LOS VALORES DEL USUARIO ACTUAL-->

	<div class="titulos">PENDIENTES</div>
	<form name="form1" action="" method="post" onsubmit="return validar(this)">
	<input type="hidden" name="remitente" value="<?php echo $id_empleado; ?>" />
    <input name="status" type="hidden" value="NO ATENDIDO"/>
	<br /><br />
	<table border="0" width="400" height="35" class="datos">
      <tr>
        <td width="23">De:</td>
        <td width="266"><input type="text" size="35" value="<?php echo $nom." ".$a_pat." ".$a_mat; ?>" readonly="readonly"/></td>
        <td width="40">Fecha:</td>
        <td width="183"><input type="text" size="10" name="fecha_ingreso" value="<?php echo date("Y-m-d"); ?>" readonly="readonly"></td>
      </tr>
    </table>
    <br />
    <table border="0" width="283" height="35" align="center" class="datos">
		  <tr>
			<td width="93">Asunto:</td>
			<td width="297"><input name="accion" id="accion" type="text" size="34"/></td>
		  </tr>
	</table>
	<table border="0" width="283" height="35" align="center" class="datos">
		  <tr>
		   <td width="93">Propiedad:</td>
			    <td>
				    <select name="propiedad" id="propiedad" style="width:120px;" onchange="depas(this.id);">
                         <option value=""></option>
			             <?php
			                $sql=mysql_query("select id_complejo,nombre from complejo",$db_conexion);
			                while($prop=mysql_fetch_array($sql))
			                     {
			                      echo "<option value='$prop[id_complejo]' style='font-size:10.5px;'>$prop[nombre]</option>";
			                     }
			             ?>
			        </select>
				</td>
			<td width="93">Suite:</td>
			    <td>
				    <select name="departamento" id="departamento" style="width:100px;" disabled>
                         <option value=""></option>
			        </select>
				</td>
		</tr>
	</table> 
	<table border="0" width="283" height="35" align="center" class="datos">
		  <tr>
		  
			<td width="93">Categoria:</td>
			    <td>   
				    <select name="categoria" id="categoria" style="width:100px;" onchange="hide(this.value)">
                         <option value=""></option>
						  <option value="SERVICIOS">SERVICIOS</option>
						   <option value="MANTENIMIENTO">MANTENIMIENTO</option>
						    <option value="LIMPIEZA">LIMPIEZA</option>
			        </select>
				</td>
				
			<td width="93">Subcategoria:</td>
			    <td>
				    <select name="subcategoria" id="subcategoria" style="width:100px;" disabled>
                         <option value=""></option>
			        </select>
				</td>
			<td width="93">Area de la Habitacion:</td>
			    <td>
				    <select name="areahab" id="areahab" style="width:100px;">
                         <option value=""></option>
						 <option value="RECAMARA">RECAMARA</option>
						 <option value="SALA">SALA</option>
						 <option value="BANO">BANO</option>
						 <option value="COCINA">COCINA</option>
						 <option value="COMEDOR">COMEDOR</option>
						 <option value="TERRAZA">TERRAZA</option>
						 <option value="AREAS COMUNES">AREAS COMUNES</option>
			        </select>
				</td>
		  </tr>
	</table>   
	<br />
    <table border="0" width="199" height="35" align="center" class="datos">
		  <tr>
			<td width="54" align="center" class="titulos">Para:</td>
          </tr>
          <tr>
			<td width="219" align="center">
			
			<table width="200" border="0">
		     <tr>
			  <td><input name="todos" type="button" onclick="activar();" value="Marcar Todos" /></td>
			  <td><input name="todos" type="button" onclick="desactivar();" value="Desmarcar Todos" /></td>
		     </tr>
		     </table>
			
			</td>
		  </tr>
	</table>   
	<br />
    <?php
	$usuarios=mysql_query("select count(*) as activos from empleados where fechabaja='0000-00-00'",$db_conexion);
	$ru=mysql_fetch_array($usuarios);
	$usuactivos=$ru['activos']+1;	
	?>
	<input type="hidden" name="utt" value="<?php echo $usuactivos; ?>" />
	<table border="0" width="798" height="35" align="center">
	  <tr class="encabezado-tabla">
	    <td>Directivos</td>
	    <td>Sistemas</td>
	    <td>Coordinadores</td>
	    <td>Ejecutivos</td>
	    <td>Gerente Diseno, Imagen y Mantenimiento</td>
	    </tr>
	  <tr style="font-size:9px;">
	    <td width="175">
        <?php
		$directivos=mysql_query("select * from empleados where puesto IN('1','2','19','20') and fechabaja='0000-00-00'",$db_conexion);
		while($rdir=mysql_fetch_array($directivos))
		{		 
		 $usuactivos--;	
         if($rdir['puesto']==1){
           $area="DIRECCION";
         }
         if($rdir['puesto']==2){
           $area="ADMINISTRACION";
         }
         if($rdir['puesto']==19){
           $area="AUDITORIA";
         }	
         if($rdir['puesto']==20){
           $area="CONTABILIDAD";
         }		 
		 echo "<input type='hidden' value='$area' name='puesto$usuactivos'>";
		 echo "<input type='checkbox' name='destino$usuactivos' value='$rdir[id_empleado]'>$rdir[nombre] $rdir[a_pat]"."<br>";	
		}
		?>
        </td>
	    <td width="175">
        <?php
		$gerentes=mysql_query("select * from empleados where (puesto='11' OR puesto='13' OR puesto='14') and fechabaja='0000-00-00'",$db_conexion);
		while($rg=mysql_fetch_array($gerentes))
		{ 
		 $usuactivos--;		
           $area="SISTEMAS";
		 echo "<input type='hidden' value='$area' name='puesto$usuactivos'>";
		 echo "<input type='checkbox' name='destino$usuactivos' value='$rg[id_empleado]'>$rg[nombre] $rg[a_pat]"."<br>";	
		}
		?>
        </td>
	    <td width="175">
       <?php
		$coordinadores=mysql_query("select * from empleados where puesto=4 and fechabaja='0000-00-00'",$db_conexion);
		while($rc=mysql_fetch_array($coordinadores))
		{ 
		 $usuactivos--;
		if($rc['puesto']==4){
           $area="VENTAS C";
         }
		 echo "<input type='hidden' value='$area' name='puesto$usuactivos'>";		 
		 echo "<input type='checkbox' name='destino$usuactivos' value='$rc[id_empleado]'>$rc[nombre] $rc[a_pat]"."<br>";	
		}
		?>
        </td>
	    <td width="175">
        <?php
		$ejecutivos=mysql_query("select * from empleados where puesto=5 and fechabaja='0000-00-00'",$db_conexion);
		while($re=mysql_fetch_array($ejecutivos))
		{ 
		 $usuactivos--;	
		if($re['puesto']==5){
           $area="VENTAS EAC";
         }
		 echo "<input type='hidden' value='$area' name='puesto$usuactivos'>";		 
		 echo "<input type='checkbox' name='destino$usuactivos' value='$re[id_empleado]'>$re[nombre] $re[a_pat]"."<br>";	
		}
		?>
        </td>
	    <td width="175">
       <?php
		$arqui=mysql_query("select * from empleados where puesto IN('6','7','10')  and fechabaja='0000-00-00'",$db_conexion);
		while($ra=mysql_fetch_array($arqui))
		{ 
		 $usuactivos--;	
		if($ra['puesto']==6 || $ra['puesto']==7){
           $area="MANTENIMIENTO";
         }
		 echo "<input type='hidden' value='$area' name='puesto$usuactivos'>";		 
		 echo "<input type='checkbox' name='destino$usuactivos' value='$ra[id_empleado]'>$ra[nombre] $ra[a_pat]"."<br>";	
		}
		?>
        </td>
	    </tr>
	  </table>
      <br />     

	<table border="0" width="216" height="35" align="center" class="datos">
		  <tr>
			<td width="99" align="center">Observaciones</td>
          </tr>
          <tr>
			<td width="241" align="center"><textarea name="observaciones" id="obs" rows="4" cols="30"></textarea></td>
		  </tr>
	</table>
    

		<table border="0" width="366" height="35" align="center" class="tablas">
			
			  <tr>
			    <td><div class="titulos">Confirmar que los datos se han introducido correctamente.</div></td>
		      </tr>
			  <tr>
				<td width="208"><div align="center">
				  <input type="submit" name="botonregistro" id="enviar" value="Registrar" />
				  </div></td>
			  </tr>
    </table>  
</form>

</div>
</center>
</body>
</html>			 
	<!-- TERMINA FORMULARIO DE REGISTRO DE BOLSA DE TRABAJO-->					
						<?
						 if(isset($_POST['botonregistro']))
						  {					  
						  $propiedad=$_POST['propiedad'];
						  $suite=$_POST['departamento'];
						  $categoria=$_POST['categoria'];
						  $subcategoria=$_POST['subcategoria'];
						  $areahab=$_POST['areahab'];
						  $usuarios_activos=$_POST['utt']-1;
						  
						  for($i=1;$i<=$usuarios_activos;$i++) 																		  
						   {
                            $var="destino".$i;
							$varpuesto="puesto".$i;
							$destino=$_POST[$var];
							$puesto=$_POST[$varpuesto];
							
							//$ultimo=mysql_query("select max(id_pendiente) as ultimo from pendientes",$db_conexion);
						    //$rul=mysql_fetch_array($ultimo);
						    //$id_subpendiente=$rul['ultimo']+1;
                            							
							
							if(isset($destino))
							{			
                             $sql="SELECT email2 FROM empleados WHERE id_empleado='$destino'";
                             $re=mysql_query($sql);
                             $mr=mysql_fetch_array($re);
                             $mail=$mr["email2"];
							 
							 $sr="SELECT email2, nombre,a_pat FROM empleados WHERE id_empleado='$_POST[remitente]'";
                             $r=mysql_query($sr);
                             $rm=mysql_fetch_array($r);
                             $from=$rm["email2"];
                             $nombre=$rm["nombre"]." ".$rm["a_pat"];
							 
                             if($mail!=""){
							 $destinatario =$mail; 
                             $asunto = "Pendiente Nuevo"; 
                             $cuerpo = "$_POST[observaciones]";
 
                             //para el envío en formato HTML 
                             $headers = "MIME-Version: 1.0\r\n"; 
                             $headers .= "Content-type: text/html; charset=iso-8859-1\r\n"; 

                             //dirección del remitente 
                             $headers .= "From:$from\r\n"; 

                             //dirección de respuesta, si queremos que sea distinta que la del remitente 
                             $headers .= "Reply-To: $from\r\n"; 

                             //ruta del mensaje desde origen a destino 
                             $headers .= "Return-path: $from\r\n"; 

                             //direcciones que recibián copia 
                             $headers .= "Cc: \r\n"; 

                             //direcciones que recibirán copia oculta 
                             $headers .= "Bcc: $from\r\n"; 

                              if(mail($destinatario,$asunto,$cuerpo,$headers)){
                              echo "<script language='javascript'>alert('Los datos se han registrado correctamente')</script>";
                              }	
							 }							 
						   $pendientes=mysql_query("insert into pendientes(accion,destino,remitente,fecha_ingreso,observaciones,status,area,propiedad,suite,categoria,subcategoria,AreaHabitacion,horaregistro) values('$_POST[accion]','$destino','$_POST[remitente]','$_POST[fecha_ingreso]','$_POST[observaciones]','$_POST[status]','$puesto','$propiedad','$suite','$categoria','$subcategoria','$areahab',CURTIME())",$db_conexion) or die("error en el insert".mysql_error());
							} else { }														
						   }			
						   			   
						  }
						 ?>
						
						